/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License;
 * you may not use this file except in compliance with the Elastic License.
 */

import React from 'react';
import { TooltipIcon, IconType } from '../tooltip_icon';

import { ComponentStrings } from '../../../i18n';

const { ArgFormSimpleFailure: strings } = ComponentStrings;

// This is what is being generated by render() from the Arg class. It is called in FunctionForm
export const SimpleFailure = () => (
  <div className="canvasArg--error canvasArg--error-simple">
    <TooltipIcon position="left" icon={IconType.warning} content={strings.getFailureTooltip()} />
  </div>
);
