/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License;
 * you may not use this file except in compliance with the Elastic License.
 */

import { i18n } from '@kbn/i18n';

export const HOST_ID = i18n.translate('xpack.siem.host.details.overview.hostIdTitle', {
  defaultMessage: 'Host ID',
});

export const FIRST_SEEN = i18n.translate('xpack.siem.host.details.firstSeenTitle', {
  defaultMessage: 'First seen',
});

export const LAST_SEEN = i18n.translate('xpack.siem.host.details.lastSeenTitle', {
  defaultMessage: 'Last seen',
});

export const MAX_ANOMALY_SCORE_BY_JOB = i18n.translate(
  'xpack.siem.host.details.overview.maxAnomalyScoreByJobTitle',
  {
    defaultMessage: 'Max anomaly score by job',
  }
);

export const IP_ADDRESSES = i18n.translate('xpack.siem.host.details.overview.ipAddressesTitle', {
  defaultMessage: 'IP addresses',
});

export const MAC_ADDRESSES = i18n.translate('xpack.siem.host.details.overview.macAddressesTitle', {
  defaultMessage: 'MAC addresses',
});

export const PLATFORM = i18n.translate('xpack.siem.host.details.overview.platformTitle', {
  defaultMessage: 'Platform',
});

export const OS = i18n.translate('xpack.siem.host.details.overview.osTitle', {
  defaultMessage: 'Operating system',
});

export const FAMILY = i18n.translate('xpack.siem.host.details.overview.familyTitle', {
  defaultMessage: 'Family',
});

export const VERSION = i18n.translate('xpack.siem.host.details.versionLabel', {
  defaultMessage: 'Version',
});

export const ARCHITECTURE = i18n.translate('xpack.siem.host.details.architectureLabel', {
  defaultMessage: 'Architecture',
});

export const CLOUD_PROVIDER = i18n.translate(
  'xpack.siem.host.details.overview.cloudProviderTitle',
  {
    defaultMessage: 'Cloud provider',
  }
);

export const REGION = i18n.translate('xpack.siem.host.details.overview.regionTitle', {
  defaultMessage: 'Region',
});

export const INSTANCE_ID = i18n.translate('xpack.siem.host.details.overview.instanceIdTitle', {
  defaultMessage: 'Instance ID',
});

export const MACHINE_TYPE = i18n.translate('xpack.siem.host.details.overview.machineTypeTitle', {
  defaultMessage: 'Machine type',
});

export const INSPECT_TITLE = i18n.translate('xpack.siem.host.details.overview.inspectTitle', {
  defaultMessage: 'Host overview',
});
